X2Go Bug report logs - #100
X2GoClient locks up if connection with server gets disrupted

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Christoph Mathys <eraserix@gmail.com>

Date: Tue, 15 Jan 2013 16:48:01 UTC

Severity: grave

Tags: confirmed, pending

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#100; Package x2goclient. (Tue, 15 Jan 2013 16:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Mathys <eraserix@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 15 Jan 2013 16:48:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Christoph Mathys <eraserix@gmail.com>
To: submit@bugs.x2go.org
Date: Tue, 15 Jan 2013 17:36:11 +0100
Package: x2goclient

The x2go-client seems to deadlock if I do a reboot/shutdown of the server.

Some time after I initiated the reboot of the server the client asks
if I want to terminate the session (because the servers does not
respond), which I answer with yes. Nothing happens.
When I try to close the session window, nothing happens.
When I try to close the session using from the x2go client window by
clicking the button to close the session, the client window itself
starts to hang and I have to kill it.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#100; Package x2goclient. (Tue, 15 Jan 2013 21:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 15 Jan 2013 21:18:01 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: 100@bugs.x2go.org, x2go-dev@lists.berlios.de
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#100:
Date: Tue, 15 Jan 2013 22:04:08 +0100
Am 15.01.2013 17:36, schrieb Christoph Mathys:

> The x2go-client seems to deadlock if I do a reboot/shutdown of the server.

<snip>

I can confirm this for 3.99.3.0 (with old PulseAudio), MS Windows 7.
Earlier versions are also affected, though I haven't tried them all to 
check if the bug was introduced somewhere along the road or has been in 
there from the very beginning.

The same error also occurs when network connectivity is lost or the 
client-side screensaver activates (not immediately, though - it seems to 
take a few minutes before it locks up).

Deadlock in this case means unresponsiveness *and* very high CPU load by 
the x2goclient.exe task (the "idle" task is at 0% and x2goclient at up 
to 99%).

-Stefan

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#100; Package x2goclient. (Tue, 15 Jan 2013 21:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 15 Jan 2013 21:18:02 GMT) Full text and rfc822 format available.

Set Bug title to 'x2go client locks up on reboot or shutdown of server'. Request was from eraserix@gmail.com to control@bugs.x2go.org. (Wed, 16 Jan 2013 07:48:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#100; Package x2goclient. (Wed, 16 Jan 2013 08:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Mathys <eraserix@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 16 Jan 2013 08:18:01 GMT) Full text and rfc822 format available.

Message #22 received at 100@bugs.x2go.org (full text, mbox):

From: Christoph Mathys <eraserix@gmail.com>
To: 100@bugs.x2go.org
Date: Wed, 16 Jan 2013 09:09:15 +0100
I've tested with x2go client 4.0.0.1 on Ubuntu 12.04. The server is
running 4.0.0.0-0~640~precise1, also Ubuntu 12.04.

I don't observe an incresed CPU usage by the client while it is locked up.

Severity set to 'grave' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 16 Jan 2013 09:18:02 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 16 Jan 2013 09:18:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'X2GoClient locks up if connection with server gets disrupted' from 'x2go client locks up on reboot or shutdown of server' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 16 Jan 2013 09:18:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#100; Package x2goclient. (Tue, 12 Feb 2013 14:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 12 Feb 2013 14:03:02 GMT) Full text and rfc822 format available.

Message #33 received at 100@bugs.x2go.org (full text, mbox):

From: Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>
To: 100@bugs.x2go.org
Subject: Bug#100: X2Go Client terminating nxproxy process if connection to server lost
Date: Tue, 12 Feb 2013 14:52:14 +0100
[Message part 1 (text/plain, inline)]
close #100

http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=105718a5586358f5c933a7eaed5ec57ae806164c

regards,
Alex
-- 
Oleksandr Shneyder
Dipl. Informatik
X2go Core Developer Team

email:  oleksandr.shneyder@obviously-nice.de
web: www.obviously-nice.de

--> X2go - everywhere@home

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 12 Feb 2013 18:33:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#100; Package x2goclient. (Tue, 12 Feb 2013 18:47:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 12 Feb 2013 18:47:32 GMT) Full text and rfc822 format available.

Message #40 received at 100@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 100@bugs.x2go.org, 88@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: This issue has been solved in X2Go Client 4.0.0.2
Date: Tue, 12 Feb 2013 19:46:49 +0100
[Message part 1 (text/plain, inline)]
close #100
close #88
thanks

The reported issue has been solved in X2Go Client 4.0.0.2.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 12 Feb 2013 18:47:38 GMT) Full text and rfc822 format available.

Notification sent to Christoph Mathys <eraserix@gmail.com>:
Bug acknowledged by developer. (Tue, 12 Feb 2013 18:47:38 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#100; Package x2goclient. (Wed, 27 Feb 2013 03:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to mr.fredpetersclaimsagent038@y7mail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 27 Feb 2013 03:33:02 GMT) Full text and rfc822 format available.

Message #49 received at 100@bugs.x2go.org (full text, mbox):

From: "British National Lottery" <info@pusri.co.id>
Subject: Dear Lucky Winner
Date: Wed, 27 Feb 2013 10:29:14 +0700
This is to inform you that you have been
selected for a cash prize of £1,000,000
(British Pounds) held on the 27th of February
2013 in London (United Kingdom). The
selection process was carried out through
random selection in Our computerized email
selection system (ESS) London Uk.

You have therefore been approved to claim
a total sum of 1 Million Pounds,(One Million Pounds)
in cash credited to fileKTU/ 9023118308/03.

Claims Requirements:

1.Full Name
2.Full Address
3.Marital Status
4.Occupation
5.Age
6.Sex
7.Nationality
8.Country Of Residence
9.Telephone Number

Agent Name: Mr. Fred Peters
Tel:+447031989477
    +447031963824
Email: mr.fredpetersclaimsagent037@y7mail.com


____________ _________ _________ _________ _________ _________ _________
Notice  : This e-mail (and any attachment) is strictly confidential and
is intended only for the addressee(s)above. Is strictly prohibited to
forward, print, copy, or otherwise reproduce this message that would
allow it to be viewed by any individual not originally listed as
a recipient(s). If you have received this e-mail in error, please
immediately notify the sender and delete this message. The opinions
expressed in this e-mail (and any attachment) are those of the individual
sender and may not necessarily reflect the views of PT Pusri.
____________ _________ _________ _________ _________ _________ _________


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 27 Mar 2013 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Jul 17 16:59:39 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.